<div class="container">
    <div id="contenido" class="container text-center">
                          <h3 class="my-3"><strong>{{title}}</strong></h3>
                          <div class="row">
                            <div class="col-12">
                              <qrcode [qrdata]="code" [width]="256" [errorCorrectionLevel]="'M'"></qrcode>
                            </div>
                            <div class="col-12">
                                <input  type="text" class="form-control" id="link" disabled  [hidden]="true" value="{{code}}" >
                            </div>
                          </div>
                          <div  id="main">
                            <div id = "mm" class="row">
                              <div  class="col" >
                                <p class="text-2 tex-muted">{{descr}}</p>
                                
                              </div>
                            </div>
                          </div>

                          <form ngNativeValidate>
                            <p class="my-3">
                              <button id="btnSendMail" type ="button" (click)="sendMail()"  class="btn btn-lg btn-block mr-3 btnUrl btnPrimary"
                              [style.border-color]="getColorButton()"
                              [style.background-color]="getColorButton()"
                              [style.color]="getColorLabel()" 
                              >{{btnTitleSendLink}}</button>
                            </p>
                          </form>
                
    </div>
    <!-- The Modal -->                    
  </div>
  
  <div id="modalSendLink" class="modal my-auto">
    <!-- Modal content -->
    <div class="modal-content">
      <!--<button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>-->
      <h5 class="d-flex justify-content-center"><strong>Correo enviado</strong></h5>
      <p class="center">
        <span style="color: #6c757d !important; font-weight: 600;">{{enviar}}</span>
      </p>
      <form ngNativeValidate>
        <p class="my-3">
          <button id="btnContinuarPerson" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary"
          [style.background-color]="getColorButton()"
          [style.border-color]="getColorButton()"
          [style.color]="getColorLabel()">Ok</button>
        </p>
      </form>
    </div>
  </div>